<?php
	/**
	 * ViewHelper zur Rückgabe aller Inhalte einer TYPO3-Seite
	 */
	class Tx_PmRendercontent_ViewHelpers_PageContentViewHelper extends \TYPO3\CMS\Fluid\Core\ViewHelper\AbstractViewHelper {
		/**
		 * @var \TYPO3\CMS\Extbase\Configuration\ConfigurationManagerInterface
		 */
		protected $configurationManager;

		/**
		 * @var Content Object
		 */
		protected $cObj;

		/**
		 * Parse page elements
		 *
		 * @param    int           PID der Seite
		 * @return   string        Geparste(s) Content Element(e)
		 */
		public function render($pid) {
            $res = $GLOBALS['TYPO3_DB']->exec_SELECTquery(
                'uid',
                'tt_content',
                'pid = '. intval($pid)
            );

            $uids = array();
            while ($row = $GLOBALS['TYPO3_DB']->sql_fetch_assoc($res)) {
                array_push($uids, $row["uid"]);
            }

            $content = "";
            foreach($uids as $uid) {
    			$conf = array(
    				'tables' => 'tt_content',
    				'source' => $uid,
    				'dontCheckPid' => 1
    			);
                $content .= $this->cObj->RECORDS($conf);
            }

			return $content;
		}

		/**
		 * Injects Configuration Manager
		 *
		 * @param \TYPO3\CMS\Extbase\Configuration\ConfigurationManagerInterface
		 * $configurationManager
		 * @return void
		 */
		public function injectConfigurationManager(\TYPO3\CMS\Extbase\Configuration\ConfigurationManagerInterface $configurationManager) {
			$this->configurationManager = $configurationManager;
			$this->cObj = $this->configurationManager->getContentObject();
		}

	}
?>
